Forbhreathnú ar an eochair
| Leagan na heochrach | V4 |
|---|---|
| Sonraíocht | RFC 2440 · RFC 4880 · RFC 9580 |
| Stádas | Comhoiriúnach, ach dímholta ag RFC 9580 |
| Príomheochair (deimhniú, síniú) | ECDSA NIST P-256 · ID 19 · SHA-256 |
| Fo-eochair chriptithe | ECDH NIST P-256 · ID 18 |
| Méarlorg | 9035B23C46C6563DF82B9E4AFD8B9262EA769B30 |
| Frása faire na heochrach príobháidí | synthetic-key-password |
Algartaim agus úsáid
ECDSA NIST P-256: Síniú ar an gcuar éilipseach NIST P-256, coitianta i gcártaí cliste, HSManna agus timpeallachtaí a éilíonn cuair NIST.
ECDH NIST P-256: Fo-eochair chriptithe Diffie-Hellman ar an gcuar éilipseach NIST P-256.
Eochair phoiblí
An teastas poiblí ina bhfuil an phríomheochair, an fho-eochair chriptithe agus a sínithe ceangailteacha. Iompórtáil é chun sínithe a fhíorú nó chun criptiú don aitheantas tástála seo.
Íoslódáil → 725 bearta
-----BEGIN PGP PUBLIC KEY BLOCK-----
xlIEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9zSZDSC1KIG1hdHJp
eCAyMS12NC1lY2RzYS1wMjU2K2VjZGgtcDI1NsKMBBMTCAA0BQJq94T/FiEEkDWy
PEbGVj34K55K/YuSYup2mzACGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRD9i5Ji
6nabMCpEAQCx7hJxkEYid8QSVBgYQ75UIhUkk5UCgBt2BFnMz0Y92QEAwxc+ut0c
P1Nw8Vj4j1P8y14TPsnXZlD9Z2EupbOBLx7OVgRq94T/EggqhkjOPQMBBwIDBAPh
yQIH6+6XdJj+CNhL8djMYuA2qdGo91dpPFsIQawnf8gBndG/8GYKiaQ7Kk3m+JTe
WrURcrfp6CnfmMLmtxoDAQgHwngEGBMIACAFAmr3hP8WIQSQNbI8RsZWPfgrnkr9
i5Ji6nabMAIbDAAKCRD9i5Ji6nabMBT1AQCtittaItUx5XMRZ+wmM+LbbVxTR+Yt
zwpGTHDiVHMMrgD+IPYPe/UFmG3UTGeISGKKkuGiHB1Oo/akskAikO4t4Y4=
=lumU
-----END PGP PUBLIC KEY BLOCK-----
Eochair phríobháideach
An eochair phríobháideach, cosanta leis an bhfrása faire a thaispeántar thuas. Foilsithe le haghaidh tástála amháin: is féidir le duine ar bith í a úsáid.
Íoslódáil → 951 bearta
Taispeáin
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaUEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9/gkDCFURBCm9cjNe
4EN4aM1H5Zk18vmdR9Orrrh0qYonW1kRXrcoDIJn+qu6pXHpSNuhmvNpH/J2VR2H
knqkyWQBwS0Ny0MNcJIfeFdtyDcSU4HNJkNILUogbWF0cml4IDIxLXY0LWVjZHNh
LXAyNTYrZWNkaC1wMjU2wowEExMIADQFAmr3hP8WIQSQNbI8RsZWPfgrnkr9i5Ji
6nabMAIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEP2LkmLqdpswKkQBALHuEnGQ
RiJ3xBJUGBhDvlQiFSSTlQKAG3YEWczPRj3ZAQDDFz663Rw/U3DxWPiPU/zLXhM+
yddmUP1nYS6ls4EvHsepBGr3hP8SCCqGSM49AwEHAgMEA+HJAgfr7pd0mP4I2Evx
2Mxi4Dap0aj3V2k8WwhBrCd/yAGd0b/wZgqJpDsqTeb4lN5atRFyt+noKd+Ywua3
GgMBCAf+CQMIVczLM7xTf1ngxa7cGuQZK+wSYgMgYe9qNrtY9C+wJ4Uyk5o2+vQD
wO0NeGmBe3D9fsglKFVub/2Le++MWokdGxhSgqXzompyM8nlN8UGY8J4BBgTCAAg
BQJq94T/FiEEkDWyPEbGVj34K55K/YuSYup2mzACGwwACgkQ/YuSYup2mzAU9QEA
rYrbWiLVMeVzEWfsJjPi221cU0fmLc8KRkxw4lRzDK4A/iD2D3v1BZht1ExniEhi
ipLhohwdTqP2pLJAIpDuLeGO
=9LHf
-----END PGP PRIVATE KEY BLOCK-----
Teastas cúlghairme
Teastas cúlghairme a gineadh roimh ré. Má iompórtálann tú é, marcáiltear an eochair mar eochair chúlghairthe; foilsítear é chun gur féidir leat tástáil a dhéanamh ar láimhseáil eochracha cúlghairthe sna bogearraí.
Íoslódáil → 888 bearta
Taispeáin
-----BEGIN PGP PUBLIC KEY BLOCK-----
xlIEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9wnUEIBMIAB0FAmr3
hP8WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAAKCRD9i5Ji6nabMMMvAQDZsYafgU8w
DxL/9AIp7XyUdZgD+TALeB9DCYv8pHAqjQD/TL5S2FlR1+h/e5fB7hvYH8upxWOB
XxDnjEgnxk5wvdjNJkNILUogbWF0cml4IDIxLXY0LWVjZHNhLXAyNTYrZWNkaC1w
MjU2wowEExMIADQFAmr3hP8WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAIbAwIeAQML
CQcBFQEWBScJAgcCAhkBAAoJEP2LkmLqdpswKkQBALHuEnGQRiJ3xBJUGBhDvlQi
FSSTlQKAG3YEWczPRj3ZAQDDFz663Rw/U3DxWPiPU/zLXhM+yddmUP1nYS6ls4Ev
Hs5WBGr3hP8SCCqGSM49AwEHAgMEA+HJAgfr7pd0mP4I2Evx2Mxi4Dap0aj3V2k8
WwhBrCd/yAGd0b/wZgqJpDsqTeb4lN5atRFyt+noKd+Ywua3GgMBCAfCeAQYEwgA
IAUCaveE/xYhBJA1sjxGxlY9+CueSv2LkmLqdpswAhsMAAoJEP2LkmLqdpswFPUB
AK2K21oi1THlcxFn7CYz4tttXFNH5i3PCkZMcOJUcwyuAP4g9g979QWYbdRMZ4hI
YoqS4aIcHU6j9qSyQCKQ7i3hjg==
=y/vE
-----END PGP PUBLIC KEY BLOCK-----
Síniú ar test_1MB.bin
Síniú scoite i bhformáid armúrtha ASCII ar test_1MB.bin, déanta leis an eochair seo in CH-J Tools. Sábháil é mar test_1MB.bin.asc in aice leis an gcomhad tástála.
Íoslódáil → 228 bearta
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAUCaveO8QAKCRD9i5Ji6nab
MKkPAQCGF3CU65a6U9xHp5Pnn6N9upLJTk9mkd9bxE6mghNDiwD+MXFxKbjlwS5B
thbU1fKoTtT9z5QRjlfFCuPe+y/a6wE=
=loPC
-----END PGP SIGNATURE-----
Fíoraigh an síniú
Oibríonn eochracha leagan 4 le GnuPG agus le huirlisí SOP ar nós sqop nó rsop, a mhéid a thacaítear leis na halgartaim. Úsáid GNUPGHOME sealadach ionas nach gcuirfear an eochair thástála i d’fhíorfháinne eochracha:
gpg --import pgp-example-21-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin